Node('cfg/stick/ovenstick.cfg',
     'oven stick for sans',
)

Mod('sea_stick',
    'frappy_psi.sea.SeaClient',
    'SEA stick connection',
    config='oven.stick',
    service='stick',
)

Mod('tsam',
    'frappy_psi.sea.SeaReadable',
    'sample stick temperature',
    io='sea_stick',
    json_file='ma7.config.json',
    sea_object='tt',
    rel_paths=['ts', 'setsamp']
)

Mod('ts',
    'frappy_psi.parmod.Converging',
    'drivable stick T using setsamp',
    meaning=['temperature', 30],
    unit='K',
    read='tsam.value',
    write='tsam.setsamp',
    settling_time=20,
    tolerance=1,
)

